%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(HTML/Entities.pm) perl(HTML/Form.pm) perl(HTTP/Response.pm) perl(LWP.pm) perl(Test/LongString.pm) perl(Test/More.pm) perl(WWW/Mechanize.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.12
%define module_name WWW-Mechanize-Pliant
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RE/REITMAN/%module_name-%module_version.tgz
BuildArch: noarch

%description
Pliant:


  var Str search 
  input "Find:" search 
  button "Go"
    #...

Or, 

  var Str search 
  input "Find:" search 
  icon "images/go.png" help "Go"
    #...

Mechanize code, for both cases:

  $mech = WWW::Mechanize::Pliant->new(cookie_jar => {});
  $mech->get("http://mypliantsite.com");
  $mech->field("search", "Beads Game");
  $mech->click("Go");


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README AUTHORS Changes
%perl_vendor_privlib/W*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- initial import by package builder

